﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WinScheduleDataBinding
{
    public partial class Form1 : Form
    {
        DataSet ds;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Get the Sample Data required for Appointments and Owners data binding
            ds = this.GetSampleData();
            ultraGrid1.DataSource = ds;
            // Hide the Unassigned Owner
            this.ultraCalendarInfo1.Owners.UnassignedOwner.Visible = false;

            // Bind ultraCalendarInfo to Appointments Data Table
            this.ultraCalendarInfo1.DataBindingsForAppointments.DataSource = ds.Tables["Appointments"];

            // Bind ultraCalendarInfo to Owners Data Table
            this.ultraCalendarInfo1.DataBindingsForOwners.DataSource = ds.Tables["Owners"];

            // Set Appointments data binding properties to UltraCalendarInfo
            this.ultraCalendarInfo1.DataBindingsForAppointments.StartDateTimeMember = "StartTime";

            this.ultraCalendarInfo1.DataBindingsForAppointments.EndDateTimeMember = "EndTime";

            this.ultraCalendarInfo1.DataBindingsForAppointments.SubjectMember = "Subject";
            this.ultraCalendarInfo1.DataBindingsForAppointments.RecurrenceMember = "RecurrenceMember";
            this.ultraCalendarInfo1.DataBindingsForAppointments.OwnerKeyMember = "OwnerKey";

            // Set Owners data binding properties to UltraCalendarInfo
            this.ultraCalendarInfo1.DataBindingsForOwners.KeyMember = "OwnerKey";
            this.ultraCalendarInfo1.DataBindingsForOwners.NameMember = "Name";

            // Assign CalendarInfo component to TimelineView control
            this.ultraTimelineView1.CalendarInfo = this.ultraCalendarInfo1;

            // Set UltraCalendarLook ViewStyle
            //this.ultraTimelineView1.ViewStyle = Infragistics.Win.UltraWinSchedule.ViewStyle.Office2007;

            // Assign CalendarLook component to TimeLineView control
            //this.ultraTimeLineView1.CalendarLook = this.ultraCalendarLook1;
        }

        private DataSet GetSampleData()
        {
            DataSet theDataSet = new DataSet();

            try
            {
                theDataSet.ReadXmlSchema("TestS.XML");
                theDataSet.ReadXml("Test.XML");
            }
            catch
            {
                // Create Appointments DataTable
                DataTable theAppointments = theDataSet.Tables.Add("Appointments");
                theAppointments.Columns.Add("AppointmentID", typeof(int));
                theAppointments.Columns.Add("StartTime", typeof(DateTime));
                theAppointments.Columns.Add("EndTime", typeof(DateTime));
                theAppointments.Columns.Add("Subject", typeof(string));
                theAppointments.Columns.Add("OwnerKey", typeof(string));
                theAppointments.Columns.Add("RecurrenceMember", typeof(object));

                // Add Appointments Sample Data
                theAppointments.Rows.Add(new object[] { "1", "1/10/2012 9:00:00 AM", "1/10/2012 10:00:00 AM", "Sprint Review", "Charlie" });
                theAppointments.Rows.Add(new object[] { "1", "1/10/2012 8:00:00 AM", "1/10/2012 08:30:00 AM", "Scrum Meet", "Jamie" });
                theAppointments.Rows.Add(new object[] { "1", "7/10/2012 9:00:00 AM", "1/10/2012 09:30:00 AM", "Status Meeting", "Lukas" });
                theAppointments.Rows.Add(new object[] { "1", "1/10/2012 8:45:00 AM", "1/10/2012 09:00:00 AM", "Feature Review", "Lopez" });

                // Create Owners DataTable
                DataTable theOwners = theDataSet.Tables.Add("Owners");
                theOwners.Columns.Add("OwnerID", typeof(int));
                theOwners.Columns.Add("Name", typeof(string));
                theOwners.Columns.Add("OwnerKey", typeof(string));

                // Add Owners Sample Data
                theOwners.Rows.Add(new object[] { "1", "Maria Charlie", "Charlie" });
                theOwners.Rows.Add(new object[] { "2", "John Jamie", "Jamie" });
                theOwners.Rows.Add(new object[] { "3", "Matthew Lukas", "Lukas" });
                theOwners.Rows.Add(new object[] { "4", "Leah Lopez", "Lopez" });
            }
            return theDataSet;
        }

        private void ultraGrid1_DoubleClickCell(object sender, Infragistics.Win.UltraWinGrid.DoubleClickCellEventArgs e)
        {

        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            ds.WriteXml("Test.XML");
            ds.WriteXmlSchema("TestS.XML");

        }

      
    }
}
